%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major
%define develname %mklibname -d %name

Name:          kalva
Version:       0.8.81
Release:       %mkrel 4
Summary:       Kalva is KDE videorecorder setup
License:       GPL
URL:           http://kalva.berlios.de/
Group:         Video
Source:        http://download.berlios.de/kalva/%{name}-%{version}.tar.bz2
Source10:      %{name}-16.png
Source11:      %{name}-32.png
Source12:      %{name}-48.png
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires:      xawtv, mencoder, mplayer, kmenc15
Requires:      perl-Config-Crontab

Obsoletes:     ktvapp
Provides:      ktvapp

%description
Kalva is a lightweight videoapplication for the Kde desktop.
It uses MPlayer and MEncoder to do the real work. 
It schedules via atd (movies) and crond (seirals).

%package -n %develname
Summary: Development files from %{name}
Group: Development/KDE and Qt
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel
Obsoletes: %lib_name-devel

%description -n %develname
Headers files for %{name}.

%package -n %lib_name
Summary: Headers files for %{name}
Group: Networking/File transfer
Requires: %{name} = %{version}

%description -n %lib_name
Headers files for %{name}.


%prep
rm -rf %buildroot

%setup -q -n %{name}-%{version}

%build
export QTLIB=%{_libdir}/qt3/%{_lib}

%configure                              \
%ifarch amd64
        --enable-libsuffix=64           \
%endif
        --disable-rpath --with-xinerama


%make

%install
rm -rf %buildroot
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=kalva|Name=Kalva|" %buildroot/%_datadir/applications/kde/%{name}.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %_bindir/tvapp.pl
%_prefix/lib/tvapp/tvapp.pm
%_datadir/applications/kde/%{name}.desktop
%_datadir/applnk/Multimedia/TV/%{name}.desktop
%_datadir/apps/%{name}/kalvaui.rc
%_datadir/config.kcfg/%{name}.kcfg
%dir %_datadir/apps/kalva
%_datadir/apps/kalva/tips
%_datadir/apps/scantvplugin/scantvpluginui.rc
%_datadir/apps/tv_stationsfilterplugin/tv_stationsfilterpluginui.rc
%_datadir/apps/xawtvrcfilterplugin/xawtvrcfilterpluginui.rc
%_iconsdir/hicolor/16x16/actions/serialbrowser.png
%_iconsdir/hicolor/32x32/actions/*.png
%_datadir/services/scantvplugin.desktop
%_datadir/services/tv_stationsfilterplugin.desktop
%_datadir/services/xawtvrcfilterplugin.desktop
%_datadir/servicetypes/kchlstfilterplugin.desktop
%dir %_docdir/HTML/en/%{name}
%_docdir/HTML/en/%{name}/*
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png

%files -n %develname
%defattr(-,root,root)
%_includedir/kchlstfilterplugin/channellistinterface.h
%_includedir/kchlstfilterplugin/kchlstfilterplugin.h
%_libdir/libkchlstfilterplugininterfaces.la
%_libdir/libkchlstfilterplugininterfaces.so

%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/scantvplugin.la
%_libdir/kde3/scantvplugin.so
%_libdir/kde3/tv_stationsfilterplugin.la
%_libdir/kde3/tv_stationsfilterplugin.so
%_libdir/kde3/xawtvrcfilterplugin.la
%_libdir/kde3/xawtvrcfilterplugin.so
%_libdir/libkchlstfilterplugininterfaces.so.*


%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{develname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{develname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %lib_name -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %lib_name -p /sbin/ldconfig
%endif


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.81-4mdv2009.0
+ Revision: 247491
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.81-2mdv2008.1
+ Revision: 170908
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 0.8.81-1mdv2008.0
+ Revision: 44451
- kill old menu
- New version
- Import kalva




* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.78-2mdv2007.0
- Fix Description (thanks littletux)

* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.78-1mdv2007.0
- 0.8.78
- Rebuild for new menu and new extension
- Use macros for icons
- Fix File List

* Mon Dec 20 2005 <plouf@mandriva.org> 0.8.50-2mdk
- Fix Requires

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.50-1mdk
- New release 0.8.50

* Wed Nov 09 2005 <plouf@mandriva.org> 0.8.49-1mdk
- First Mandriva Linux release
